Subject: [Tools-discuss] IETF CSE (was: Call for Comment: RFC 4693 experiment)

From: "Frank Ellermann" <[email-masked]>
Date: Fri, 18 Jan 2008 15:56:25 +0100

Jari Arkko wrote:
 
> http://www.google.com/custom?hl=en&client=google-coop-np&cof=AH%3Aleft%3BS%3Ahttp%3A%2F%2Fwww.ietf.org%2F%3BCX%3AIETF%2520%2526%2520IRTF%2520Mailing%2520List%2520Search%3BL%3Ahttp%3A%2F%2Fietf.org%2Fimages%2Fietflogo2f.gif%3BLH%3A100%3BLP%3A1%3BGFNT%3A%23666666%3BDIV%3A%23cccccc%3B&adkw=AELymgVmPhm6xOxqVYYkLfBhjlELCLKCNQ0MPgwdQ0YYMMlbPd1rUYSeqxsu4ZwC8EzV_JAjgaE_RNl1WM42lnF9xaa_CbZjt_ghkmydtVLy5Mxr_9Vrdq19SPdf3Gl5Pe3QiF1xGEsu&q=ion-ad-sponsoring&btnG=Search&cx=006728497408158459967%3Aybxjdw-bjjw

Wow, these CSE URLs can get rather weird.  You can trim it radically:

http://www.google.com/?cx=006728497408158459967%3Aybxjdw-bjjw&q=ion-ad-sponsoring

The refinements are nice, is that your CSE ?  They now support to
limit the refinements to four (one line) automagically picking the
four most relevant refinements depending on the query.  I've not
yet tested it.

Users of a CSE with a browser not supporting opensearch can use a
"Google gadget" to add it to their iGoogle page, or to "syndicate"
it elsewhere (e.g. in a blog, but it needs Javascript):

http://gmodules.com/ig/creator?synd=open&url=http://hmdmhdfmhdjmzdtjmzdtzktdkztdjz.googlepages.com/tiny_cse.xml

> Personally, I think we should keep the concept.

Yes, I looked for the "subpoena ION" some days ago, and found it,
<http://purl.net/xyzzy/-a9/subpoena> (another way to trim URLs :-)

 Frank

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss